@ECHO OFF
SET LOG=step0002.log
SET DG=..\GameDataFolder\level0_Final
ECHO LOG FILE FOR ANALYZING FLUCTUATIONS OF SNDD > %LOG%
FOR %%L IN (1 2 3 4 6 8 9 10 11 12 13 14 18 19) DO (
    FOR %%D IN (..\GameDataFolder\level%%L_Final) DO (
        IF EXIST %%D (
            ECHO Level %%L: moving SNDD to level 0...
            ECHO Level %%L: moving SNDD to level 0... >> %LOG%
            OniSplit.exe -copy %DG% %%D\SNDD*.oni >> %LOG%
            OniSplit.exe -move ..\temp\level%%L_Final\SNDD %%D\SNDD*.oni
        )
    )
)
